# build dynamically loaded  lib libhypothetical.dl

target: Makefile libhypothetical.dl

libhypothetical.dl: Makefile hypothetical.o 
	ch dllink libhypothetical.dl hypothetical.o 
hypothetical.o:  hypothetical.c
	ch dlcomp libhypothetical.dl hypothetical.c
clear:
	rm -f *.o *.dl
